For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at /guide/api/endpoints/checklist/work-items-checklist-items-complete.md.
Complete/uncomplete a checklist item
Toggles or sets completion, stamping completedby/at.
POST
/api/v1/partner/work-items/checklist/items/completeToggles or sets completion, stamping completed_by/at. Payload: {item_id*, is_completed?:boolean (omit to toggle)}.
#Authorizations
X-API-KEYstringrequiredDeveloper API key (starts with osk_)
Example: osk_1234567890abcdef1234567890abcdef
#Headers
AcceptstringrequiredContent type of response
Example: application/json
Content-TypestringrequiredContent type of request
Example: application/json
#Request body
encrypted_datastringrequired#Responses
200Success
403Not allowed to manage
404Item not found